#ifndef Oscar97QA_h
#define Oscar97QA_h


#include "Oscar97Event.h"
#include <TFile.h>
#include <TTree.h>
#include <TMath.h>
#include <TH1F.h>
#include <TH2F.h>
#include <iostream>


#define BFSZ 0xFF


class Oscar97QA {
 public:
  Oscar97QA(const char *inFileList = "root.list",
	    const char *outFile    = "qa.root");
  void MakeQA();
  bool GetError();
  void SetDebug(bool val);
 private:
  bool mError;
  bool mDebug;
  FILE *mListFile;
  TFile *mOut;
  //
  // Histograms
  //
  // event
  TH1D *hImpPar;
  // track
  TH1D *hPx;
  TH1D *hPy;
  TH1D *hPz;
  TH1D *hPt;
  TH1D *hXfr;
  TH1D *hYfr;
  TH1D *hZfr;
  TH1D *hTfr;
  TH1D *hEnergy;
  TH2D *hMSqrVsPt;
  TH1D *hEta;

  void ReadFile(const char *file);
};

#endif
